BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 06-20-2005, 08:37 PM   #1 (permalink)
New Member
 
Join Date: Jun 2005
Location: Rhode Island
Model: Bold
Carrier: AT&T
Posts: 14
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default 4.0 SP1 BES Domino problem error 1923

Please Login to Remove!

Hope someone here can help me, I don't have T Support yet, it's help up in a purchase order.

I installed 2.2.2 on a box a year ago as part of a pilot, I installed this having logged onto the box with my windows account which has admin access to the server. A few months later upgraded the BES to 2.2.3a.

We're ready to end the pilot and roll out devices to a few hundred people so before doing this we wanted the BES up to 4.0.

I did this in test and then on the production box and all went well until I tried to install SP1. Maybe you can tell me if I'm doing it correctly in terms of what type of service account is needed. I had a local account created on the server, bbadmin, with admin rights and ran the 4.0 upgrade/ install under that account and migrated users to SQL using nbesmigrate.exe. When I try to install SP1 I get "Error 1923 Service BlackBerrt Alert (Blackberry Server Alert) could not be installed. Verify that you have sufficient privileges to install system services". The install fails and uinstalls the BES. Reinstall 4.0 and the server comes back.

Any ideas? Can I completely uinstall BES 4.0 and clean out the registry and reinstall it? Did I not set the account up correctly? I've tried this on a test server and can't replicate the problem.

Any help is greatly appreciated.
Offline  
Old 06-21-2005, 12:50 PM   #2 (permalink)
Thumbs Must Hurt
 
Join Date: Sep 2004
Model: 8800
Carrier: AT&T
Posts: 60
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

This sounds like your AD admins have set strict policies on your servers.
I recently went through the same. Make sure the user has rights to log in as a service.

Ken
Offline  
Old 06-21-2005, 02:31 PM   #3 (permalink)
New Member
 
Join Date: Jun 2005
Location: Rhode Island
Model: Bold
Carrier: AT&T
Posts: 14
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks Ken,

I checked, it does have rights to log in as a service
Offline  
Old 06-21-2005, 03:39 PM   #4 (permalink)
mkb
Knows Where the Search Button Is
 
Join Date: Mar 2005
Posts: 46
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I've run into similar problems, but the issue was that account I was using to install the HF/Service Pack was different than the original install account. Or, the other possibility is that the service (in your case Blackberry Alert) is logging on with a different account than what you are using to install the SP. I would suggest making sure that all services are logging on with the same account and then do the upgrade with the same account. Also, do you have an option to "ignore" the error. If so you could do that and then go in and repair the install for the Blackberry Alert service.
Offline  
Old 06-22-2005, 08:41 AM   #5 (permalink)
dev
CrackBerry Addict
 
dev's Avatar
 
Join Date: Apr 2005
Location: Toronto
Model: 8800
Carrier: Rogers
Posts: 571
Post Thanks: 0
Thanked 2 Times in 2 Posts
Default

Known issue...here's the link
http://www.blackberry.com/knowledgec...00837&vernum=0
Offline  
Old 06-22-2005, 11:06 AM   #6 (permalink)
New Member
 
Join Date: Jun 2005
Location: Rhode Island
Model: Bold
Carrier: AT&T
Posts: 14
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Yes, I saw that technote but this is happening when I apply SP1 and I'm logged in with the same account I used to do the upgrade to 4.0. The upgrade was fine but I can't get the sp on the server. Thank you though! I'm still struggling with this.
Offline  
Old 06-24-2005, 04:26 AM   #7 (permalink)
New Member
 
Join Date: Jun 2005
Location: Blighty
Model: 8707
Carrier: O2
Posts: 12
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Why don't you try Hot Fix2?
Edit - Ignore me. I wasn't thinking, SP1 HF1! Although, isn't SP1HF3 out now.

Last edited by felafel : 06-24-2005 at 04:48 AM.
Offline  
Old 06-24-2005, 09:35 PM   #8 (permalink)
New Member
 
Join Date: Jun 2005
Location: Rhode Island
Model: Bold
Carrier: AT&T
Posts: 14
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Thanks for the suggestions! I ended up applying 4.0 hf3 and then 4.0 SP1 and no issues! Thanks Felafel!
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.